﻿using System.Windows;

using System.Diagnostics;

using Microsoft.Kinect;
using Microsoft.Samples.Kinect.WpfViewers;
using Microsoft.Kinect.Toolkit;

using Controllers;
using System.Windows.Media.Imaging;
using System;

namespace KinectProject
{
    /// <summary>
    /// 
    /// </summary>
    public partial class MainWindow : Window
    {
        //assign posture names and add postures into the posture detector
        private void AddPostures()
        {
           
            if (Controller.SelectedIndex == 2)
            {
                carForwardPosture.Name = "CarForwardPosture";
                postureDetector.AddPosture(carForwardPosture);

                carForwardRightPosture.Name = "CarForwardRightPosture";
                postureDetector.AddPosture(carForwardRightPosture);

                carForwardLeftPosture.Name = "CarForwardLeftPosture";
                postureDetector.AddPosture(carForwardLeftPosture);

                carBackwardPosture.Name = "CarBackwardPosture";
                postureDetector.AddPosture(carBackwardPosture);

                carBackwardRightPosture.Name = "CarBackwardRightPosture";
                postureDetector.AddPosture(carBackwardRightPosture);

                carBackwardLeftPosture.Name = "CarBackwardLeftPosture";
                postureDetector.AddPosture(carBackwardLeftPosture);

                //Add Stop Posture here
            }
        }


        //given the detected posture name
        //set the corresponding car action
        //Delete the /* */ symbol to test on real car
        private void ControlCar(string postureName)
        {
            displayArrow(postureName);
            //debug.Content = postureName; //for debugging

            //Delete the /* */ symbol to test on real car
            /*
            if (postureName == carForwardRightPosture.Name)
            {
                CarController.MoveCar(Car.ForwardRight);
            }
            else if (postureName == carForwardLeftPosture.Name)
            {
                CarController.MoveCar(Car.ForwardLeft);
            }

            else if (postureName == carBackwardRightPosture.Name)
            {
                CarController.MoveCar(Car.BackwardRight);
            }
            else if (postureName == carBackwardLeftPosture.Name)
            {
                CarController.MoveCar(Car.BackwardLeft);
            }

            else if (postureName == carForwardPosture.Name)
            {
                CarController.MoveCar(Car.Forward);
            }
            else if (postureName == carBackwardPosture.Name)
            {
                CarController.MoveCar(Car.Backward);
            }
            else if (postureName == carStopPosture.Name)
            {
                CarController.MoveCar(Car.Stop);
            }
            else
            {
                CarController.MoveCar(Car.Stop);
            }
            */
        }

        private void displayArrow(string postureName)
        {
            string path = "";
            if (postureName == carForwardRightPosture.Name)
            {
                path = "Images/fr.png";
            }
            else if (postureName == carForwardLeftPosture.Name)
            {
                path = "Images/fl.png";
            }
            else if (postureName == carBackwardRightPosture.Name)
            {
                path = "Images/br.png";
            }
            else if (postureName == carBackwardLeftPosture.Name)
            {
                path = "Images/bl.png";
            }
            else if (postureName == carForwardPosture.Name)
            {
                path = "Images/f.png";
            }
            else if (postureName == carBackwardPosture.Name)
            {
                path = "Images/b.png";
            }
                /*
            else if (postureName == carStopPosture.Name)
            {
                path = "Images/stop.png";
            }*/
            else
            {
                path = "";
            }
            arrow.Source = new BitmapImage(new Uri(path, UriKind.Relative));
        }
    }
}
