﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Diagnostics;


using Microsoft.Kinect;
using Microsoft.Samples.Kinect.WpfViewers;
using Microsoft.Kinect.Toolkit;
using Controllers;
using Postures;
using Gestures;

namespace KinectProject
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        //KinectSensorManager 
        public static readonly DependencyProperty KinectSensorManagerProperty =
            DependencyProperty.Register(
                "KinectSensorManager",
                typeof(KinectSensorManager),
                typeof(MainWindow),
                new PropertyMetadata(null));

        public KinectSensorManager KinectSensorManager
        {
            get { return (KinectSensorManager)GetValue(KinectSensorManagerProperty); }
            set { SetValue(KinectSensorManagerProperty, value); }
        }

        //skeleton data for processing
        private Skeleton[] skeletonData;

        //KinectSensorChooser 
        private readonly KinectSensorChooser sensorChooser = new KinectSensorChooser();
        
        //PostureDetector
        private PostureDetector postureDetector;

        //KeyboardController
        private KeyboardController keyboardController;

        CarForwardPosture carForwardPosture = new CarForwardPosture();
        CarForwardRightPosture carForwardRightPosture = new CarForwardRightPosture();
        CarForwardLeftPosture carForwardLeftPosture = new CarForwardLeftPosture();

        CarBackwardPosture carBackwardPosture = new CarBackwardPosture();
        CarBackwardRightPosture carBackwardRightPosture = new CarBackwardRightPosture();
        CarBackwardLeftPosture carBackwardLeftPosture = new CarBackwardLeftPosture();

        //Add Stop Posture here
    }
}


